# dmd.objc

Interfacing with Objective-C.

Specification: Interfacing to Objective-C

#### Authors

Walter Bright

#### License

Boost License 1.0

Source: objc.d

Documentation: https://dlang.org/phobos/dmd_objc.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/objc.d

- `ObjcClassDeclaration`

  #### Declaration

  `struct `ObjcClassDeclaration`;`

  Contains all data for a class declaration that is needed for the Objective-C integration.

  - `isMeta`

    #### Declaration

    `bool `isMeta`;`

    `true` if this class is a metaclass.

  - `isExtern`

    #### Declaration

    `bool `isExtern`;`

    `true` if this class is externally defined.

  - `identifier`

    #### Declaration

    `Identifier `identifier`;`

    Name of this class.

  - `classDeclaration`

    #### Declaration

    `ClassDeclaration `classDeclaration`;`

    The class declaration this belongs to.

  - `metaclass`

    #### Declaration

    `ClassDeclaration `metaclass`;`

    The `metaclass` of this class.

  - `methodList`

    #### Declaration

    `FuncDeclaration[] `methodList`;`

    List of non-inherited methods.

- `ObjcFuncDeclaration`

  #### Declaration

  `struct `ObjcFuncDeclaration`;`

  Contains all data for a function declaration that is needed for the Objective-C integration.

  - `selector`

    #### Declaration

    `ObjcSelector* `selector`;`

    The method `selector` (member functions only).

  - `selectorParameter`

    #### Declaration

    `VarDeclaration `selectorParameter`;`

    The implicit selector parameter.

  - `isOptional`

    #### Declaration

    `bool `isOptional`;`

    `true` if this function declaration is declared optional.